import { ApiCall } from "tsrpc";
import { ReqApply, ResApply } from "../../cross/protocols/kbzz/PtlApply";

export default async function (call: ApiCall<ReqApply, ResApply>) {
    G.mongodb.collection('kbzzApplyUser').updateOne({ uid: call.req.info.player.uid }, { $set: { info: call.req.info } }, { upsert: true });
    call.succ({});
}